# processBeforeInstantiation method

Future<Object?> processBeforeInstantiation(

1. Class podClass,
2. String name

)

Apply this post-processor before the target pod gets instantiated.

The returned pod object may be a proxy to use instead of the target pod, effectively suppressing default instantiation of the target pod.

## Parameters

- `podClass`: The class of the pod to be instantiated
- `name`: The name of the pod

## Return Value

Returns the pod object to expose instead of a default instance of the target pod, or null to proceed with default instantiation.

## Implementation

    Future<Object?> processBeforeInstantiation(Class podClass, String name) async => null;